<?php
session_start();
ob_start();
$father = $_SESSION["user_id"] ;
include "dbPDO.php";
$page = isset($_REQUEST['act'])?$_REQUEST['act']:'';

$supp_name      = $_POST['supp_name'];
$company_owner  = $_POST['company_owner'];
$boss           = $_POST['boss'];
$boss_jawal     = $_POST['boss_jawal'];
$sales_master   = $_POST['sales_master'];
$master_jawal   = $_POST['master_jawal'];
$sales          = $_POST['sales'];
$sales_jawal    = $_POST['sales_jawal'];
$cash_master    = $_POST['cash_master'];
$cash_jawal     = $_POST["cash_jawal"];
$casher         = $_POST['casher'];
$ca_jawal       = $_POST['ca_jawal'];
$fax            = $_POST['fax'];
$phone          = $_POST['phone'];
$address        = $_POST['address'];
$start_date     = $_POST['start_date'];
$comm           = $_POST['comm'];

$Number ='/^[0-9]+(\.[0-9]{1,2})?$/' ;

if(empty($supp_name) || empty($company_owner))
{
  echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;' >&times;</a>
        <b>من فضلك  سجل اسم الشركة و اسم صاحب الشركة  ...!</b>
        </div>
  ";
  exit();
}else{

  if(!empty($supp_name)){ $supp_name = htmlspecialchars(strip_tags($supp_name)) ;   }
  if(!empty($company_owner)){ $company_owner = htmlspecialchars(strip_tags($company_owner)) ;   }
  if(!empty($boss)){ $boss = htmlspecialchars(strip_tags($boss)) ;   }

if(!empty($boss_jawal)){
    if(!preg_match($Number,$boss_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $boss_jawal رقم غلط في جوال المدير</b>
      </div>
    ";
      exit();
    }
    if((strlen($boss_jawal) < 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>جوال المدير أقل من 10 أرقام</b>
      </div>
      ";
      exit();
    }
    if((strlen($boss_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
}else{
  $boss_jawal = null ;
}
if(!empty($sales_master)){ $sales_master = htmlspecialchars(strip_tags($sales_master)) ;   }
else{
  $sales_master = null ;
}
if(!empty($master_jawal)){
    if(!preg_match($Number,$master_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $master_jawal رقم غلط</b>
      </div>
    ";
      exit();
    }
    if((strlen($master_jawal) < 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>مدير الحسابات</b>
      </div>
      ";
      exit();
    }
    if((strlen($master_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
  }else{
    $master_jawal = null ;
  }
  if(!empty($sales)){ $sales = htmlspecialchars(strip_tags($sales)) ;   }
  else{$sales = null ;}
if(!empty($sales_jawal)){
    if(!preg_match($Number,$sales_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $sales_jawal رقم غلط</b>
      </div>
    ";
      exit();
    }
    if((strlen($sales_jawal)< 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
      </div>
      ";
      exit();
    }
    if((strlen($sales_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
  }else{ $sales_jawal = null ;}
  if(!empty($cash_master)){ $cash_master = htmlspecialchars(strip_tags($cash_master)) ;   }
  else{$cash_master = null ;}
if(!empty($cash_jawal)){
    if(!preg_match($Number,$cash_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $cash_jawal رقم غلط</b>
      </div>
    ";
      exit();
    }
    if((strlen($cash_jawal)< 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
      </div>
      ";
      exit();
    }
    if((strlen($cash_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>
      ";
      exit();
    }
  }else{
    $cash_jawal = null ;
  }
  if(!empty($casher)){ $casher = htmlspecialchars(strip_tags($casher)) ;   }else{
    $casher = null ;
  }
if(!empty($ca_jawal)){
    if(!preg_match($Number,$ca_jawal)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>  $ca_jawal رقم غلط</b>
      </div>";
      exit();
    }
    if((strlen($ca_jawal) < 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
      </div>
      ";
      exit();
    }
    if((strlen($ca_jawal) > 10)){
      echo "
      <div class='alert alert-warning'>
      <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
      <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
      </div>";
      exit();
    }
  }else{$ca_jawal = null ;}
if(!empty($fax)){
    if(!preg_match($Number,$fax)){
    echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $fax رقم غلط</b>
        </div> ";
        exit();
      }
      if((strlen($fax) < 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
        </div>
        ";
        exit();
      }
      if((strlen($fax) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }else{
      $fax = null ;
    }
if(!empty($phone)){
      if(!preg_match($Number,$phone)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>  $phone رقم غلط</b>
        </div>
      ";
        exit();
      }
      if((strlen($phone) < 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أقل من 10 أرقام يوجد خطا في الرقم</b>
        </div>
        ";
        exit();
      }
      if((strlen($phone) > 10)){
        echo "
        <div class='alert alert-warning'>
        <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
        <b>رقم الجوال أكبر من 10 أرقام من فضلك تاكد من الرقم</b>
        </div>
        ";
        exit();
      }
    }else{
      $phone = null ;
    }
if(!empty($address)){ $address = htmlspecialchars(strip_tags($address)) ;   }else{
  $address = null ;
}
if(!empty($comm)){ $comm = htmlspecialchars(strip_tags($comm)) ;   }else{
  $comm = null ;
}

if(empty($start_date)){$start_date = date("Y-m-d");}
  // existing idCrad or phone number in your database

$sql =$db->prepare("SELECT supp_id , supp_name , company_owner , phone FROM supplycomp WHERE supp_name = ? OR company_owner = ? LIMIT 1");
$sql->bindParam(1,$supp_name);
$sql->bindParam(2,$company_owner);
$sql->execute();
if($sql->rowCount()>0){$row = $sql->fetch(PDO::FETCH_ASSOC);
      $supp_id      = $row["supp_id"];
      $supp_name    = $row["supp_name"];
      $company_owner    = $row["company_owner"];
      $phone     = $row["phone"];
  echo "
  <div class='alert alert-danger'>
  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
  <b>تم تسجيل بيانات $supp_name  من قبل كود رقم $supp_id ملك السيد $company_owner رقم تليفون الشركة  $phone</b>
  </div>
  ";
  exit();
}else {
  $maxsql= $db->prepare("SELECT max(supp_id) as maxd FROM supplycomp");
  $maxsql->execute();
  if($maxsql->rowCount()>0){$row = $maxsql->fetch(PDO::FETCH_ASSOC);
      $maxID = $row['maxd'];
      if($maxID > 0){ $maxID = $maxID + 1 ;} else { $maxID = 1 ;}
    }
  $sql = $db->prepare(" INSERT INTO supplycomp
  (supp_id, supp_name, company_owner, boss, boss_jawal, sales_master, master_jawal,
  sales,sales_jawal, cash_master,  cash_jawal, casher, ca_jawal, fax, phone,address,start_date,comm,father)
   VALUES (?, ?, ?, ? , ? , ? , ? , ? , ?, ? , ? , ? , ? , ? , ? , ? ,  ? , ?,?)");
   $sql->bindParam(1,$maxID);
   $sql->bindParam(2,$supp_name);
   $sql->bindParam(3,$company_owner);
   $sql->bindParam(4,$boss);
   $sql->bindParam(5,$boss_jawal);
   $sql->bindParam(6,$sales_master);
   $sql->bindParam(7,$master_jawal);
   $sql->bindParam(8,$sales);
   $sql->bindParam(9,$sales_jawal);
   $sql->bindParam(10,$cash_master);
   $sql->bindParam(11,$cash_jawal);
   $sql->bindParam(12,$casher);
   $sql->bindParam(13,$ca_jawal);
   $sql->bindParam(14,$fax);
   $sql->bindParam(15,$phone);
   $sql->bindParam(16,$address);
   $sql->bindParam(17,$start_date);
   $sql->bindParam(18,$comm);
   $sql->bindParam(19,$father);
   if($sql->execute()){
    echo "
    <div class='alert alert-success'>
    <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>تم تسجيل بيانات الشركة بنجاح  .... </b>
    <script>document.getElementById('new18').reset(); </script>
    </div>
    ";}
  else{ echo "<div class='alert alert-danger'>
  <a href='#' class='close' data-dismiss='alert' aria-label='close'style='float:left;'>&times;</a>
    <b>يوجد خطأ في تسجيل البيانات ... راجع  من فضلك</b>
  </div>
  ";}
}
}
?>
